Bug 131496 - [PATCH] audio/mp3burn: fix automaitic swab detection on FreeBSD
Summary: [PATCH] audio/mp3burn: fix automaitic swab detection on FreeBSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-08 13:20 UTC by tobias.rehbein
Modified: 2009-02-09 13:10 UTC (History)
0 users

See Also:


Attachments
mp3burn-0.4.2_1.diff (1.07 KB, patch)
2009-02-08 13:20 UTC, tobias.rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tobias.rehbein 2009-02-08 13:20:04 UTC
	audio/mp3burn calls `'/bin/uname -m' to perform automatic swab detection. This fails as the uname tool is located in /usr/bin on FreeBSD systems. This results in corrupt Audio-CD.
Comment 1 Edwin Groothuis freebsd_committer 2009-02-08 13:20:17 UTC
Maintainer of audio/mp3burn,

Please note that PR ports/131496 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/131496

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-02-08 13:20:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Dennis Herrmann 2009-02-08 18:02:45 UTC
Thanks Tobias Rehbein for this patch :). But the way over
post-patch: is nicer :-)

	- fix automaitic swab detection on FreeBSD
	- fix MASTER_SITES_SOURCEFORGE to SF
	- bump PORTREVISION

--- mp3burn_fix-uname.diff begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/audio/mp3burn/Makefile,v
retrieving revision 1.8
diff -u -u -r1.8 Makefile
--- Makefile	1 Nov 2008 22:13:32 -0000	1.8
+++ Makefile	8 Feb 2009 17:39:03 -0000
@@ -6,9 +6,9 @@
 
 PORTNAME=	mp3burn
 PORTVERSION=	0.4.2
+PORTREVISION=	1
 CATEGORIES=	audio
-MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=	${PORTNAME}
+MASTER_SITES=	SF
 
 MAINTAINER=	adox@mcx2.org
 COMMENT=	Command line tool for making audio CDs from mp3s
@@ -29,7 +29,9 @@
 PLIST_FILES=	bin/mp3burn
 
 post-patch:
-	@${PERL} -pi -e 's|/usr/bin/perl|${PERL}|' ${WRKSRC}/mp3burn
+	@${REINPLACE_CMD} -e 's|/usr/bin/perl|${PERL}|g' \
+		-e 's|/bin/uname|/usr/bin/uname|g' \
+		-e 's|x86_64|amd64|g' ${WRKSRC}/${PORTNAME}
 
 do-install:
 	${INSTALL_SCRIPT} ${WRKSRC}/mp3burn ${PREFIX}/bin
--- mp3burn_fix-uname.diff ends here ---
Comment 4 Martin Wilke freebsd_committer 2009-02-08 23:29:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 5 Martin Wilke freebsd_committer 2009-02-09 13:07:59 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2009-02-09 13:08:06 UTC
miwi        2009-02-09 13:07:52 UTC

  FreeBSD ports repository

  Modified files:
    audio/mp3burn        Makefile 
  Log:
  - Fix automaitic swab detection on FreeBSD
  - Use now SF
  - Bump PORTREVISION
  
  PR:             131496
  Submitted by:   Dennis Herrmann <adox@mcx2.org>
  
  Revision  Changes    Path
  1.9       +5 -3      ports/audio/mp3burn/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"